Rockbox.org home
release
dev builds
extras
themes manual
wiki
device status forums
mailing lists
IRC bugs
patches
dev guide



Rockbox mail archive

Subject: Re: Using gcc 4.4.0 to compile Rockbox

Re: Using gcc 4.4.0 to compile Rockbox

From: Alex Bennee <kernel-hacker_at_bennee.com>
Date: Fri, 27 Feb 2009 10:09:09 +0000

2009/2/24 Mark Allums <mark_at_allums.com>:
> Thomas Martitz wrote:
> I used the Debian source for binutils, but there are patches that it comes
> with.  It was unclear whether they needed to be applied, or were already in
> the Debian version.  Anyway, I skipped them, and everything seems to have
> gone well.  That is something I need to look into further.
>
> I used the 2.19.1 binutils, which seems to be the latest.

I've come across bugs in binutils (2.18 IIRC) that caused it to
confuse some constants the broke a codec (AAC in my case). It seemed
to go away with 2.19 but I was unable to find the reason why. It may
be a heisenbug that gets moved around with patches.

Doing a binary diff of failing codecs built with the two binutils
showed up the bug.

-- 
Alex, homepage: http://www.bennee.com/~alex/
CV: http://www.bennee.com/~alex/cv.php
Received on 2009-02-27

Page was last modified "Jan 10 2012" The Rockbox Crew
aaa